package com.house365.ws.service.interfaces;

import java.util.List;

import com.house365.beans.po.BaseAttachment;
import com.house365.service.system.Interfaces.Service;

public interface IAttachmentService<T extends BaseAttachment> extends Service<T> {
    /**
     * 通过resouceId查询
     */
    public List<BaseAttachment> getByResourceId(Integer resourceId);
    /**
     * 根据resourceId和resouceType查询
     */
    public List<BaseAttachment> queryByResourceIdAndResouceType(String resourceId,String channel );
    
    public void deleteAttachment(Integer resourceId);
    
    public void updateAttachmentResourceId(Integer resourceId);
    
}
